package main
import "time"
type EnvelopeStatusCode int
const (
   Any EnvelopeStatusCode = 1 + iota
   Voided
   Created
   Deleted
   Sent
   Delivered
   Signed
   Completed
   Declined
   TimedOut
   Template
   Processing
)
type RecipientStatusCode int
const (
   Created RecipientStatusCode = 1 + iota
   Sent
   Delivered
   Signed
   Declined
   Completed
   FaxPending
   AutoResponded
)
type TabTypeCode int
const (
   InitialHere TabTypeCode = 1 + iota
   SignHere
   FullName
   FirstName
   LastName
   EmailAddress
   Company
   Title
   DateSigned
   InitialHereOptional
   EnvelopeID
   Custom
   SignerAttachment
   SignHereOptional
   Approve
   Decline
   SignerAttachmentOptional
   DigitalSignature
)
type CustomTabTypeCode int
const (
   Text CustomTabTypeCode = 1 + iota
   Checkbox
   Radio
   List
   Date
   Number
   SSN
   ZIP5
   ZIP5DASH4
   Email
   Note
   Formula
)
type DocumentType int
const (
   Principal DocumentType = 1 + iota
   CertificateOfCompletion
   SignerAttachment
)
type Attachment struct {
   BinaryResource
   DocType DocumentType `json:"docType"`
}
